=== modified file 'olive/backend/fileops.py'
--- olive/backend/fileops.py	2006-09-04 23:46:31 +0000
+++ olive/backend/fileops.py	2006-09-05 01:08:34 +0000
@@ -22,14 +22,6 @@
                            PermissionDenied)
 
 
-class DirectoryAlreadyExists(BzrError):
-    """ The specified directory already exists
-    
-    May occur in:
-        fileops.mkdir()
-    """
-
-
 class MultipleMoveError(BzrError):
     """ Occurs when moving/renaming more than 2 files, but the last argument is not a directory
     
@@ -46,41 +38,6 @@
     """
 
 
-def add(file_list, recursive=False):
-    """ Add listed files to the branch. 
-    
-    :param file_list - list of files to be added (using full paths)
-    
-    :param recursive - if True, all unknown files will be added
-    
-    :return: count of ignored files
-    """
-    import bzrlib.add
-    
-    added, ignored = bzrlib.add.smart_add(file_list, recursive)
-    
-    match_len = 0
-    for glob, paths in ignored.items():
-        match_len += len(paths)
-    
-    return match_len
-
-def mkdir(directory):
-    """ Create new versioned directory.
-    
-    :param directory: the full path to the directory to be created
-    """
-    from bzrlib.workingtree import WorkingTree
-    
-    try:
-        os.mkdir(directory)
-    except OSError, e:
-        if e.errno == 17:
-            raise DirectoryAlreadyExists(directory)
-    else:
-        wt, dd = WorkingTree.open_containing(directory)
-        wt.add([dd])
-
 def move(names_list):
     """ Move or rename given files.
     
@@ -127,15 +84,6 @@
     tree.remove(file_list)
 
 
-def rename(source, target):
-    """ Rename a versioned file
-    
-    :param source: full path to the original file
-    
-    :param target: full path to the new file
-    """
-    move([source, target])
-
 def status(filename):
     """ Get the status of a file.
     

=== modified file 'olive/frontend/gtk/add.py'
--- olive/frontend/gtk/add.py	2006-09-04 23:33:13 +0000
+++ olive/frontend/gtk/add.py	2006-09-05 01:08:34 +0000
@@ -27,6 +27,7 @@
 except:
     sys.exit(1)
 
+import bzrlib
 import bzrlib.errors as errors
 import olive.backend.fileops as fileops
 
@@ -73,7 +74,7 @@
                 return
             
             try:
-                fileops.add([directory + '/' + filename])
+                bzrlib.add.smart_add([directory + '/' + filename])
             except errors.NotBranchError:
                 self.dialog.error_dialog(_('Directory is not a branch'),
                                          _('You can perform this action only in a branch.'))
@@ -84,7 +85,7 @@
         elif radio_unknown.get_active():
             # Add unknown files recursively
             try:
-                fileops.add([directory], True)
+                bzrlib.add.smart_add([directory], True)
             except errors.NotBranchError:
                 self.dialog.error_dialog(_('Directory is not a branch'),
                                          _('You can perform this action only in a branch.'))

=== modified file 'olive/frontend/gtk/menu.py'
--- olive/frontend/gtk/menu.py	2006-09-04 23:33:13 +0000
+++ olive/frontend/gtk/menu.py	2006-09-05 01:08:34 +0000
@@ -28,7 +28,6 @@
 except:
     sys.exit(1)
 
-import olive.backend.fileops as fileops
 import bzrlib.errors as errors
 
 class OliveMenu:
@@ -134,13 +133,11 @@
             return
         
         try:
-            fileops.add([directory + '/' + filename])
+            bzrlib.add.smart_add([directory + '/' + filename])
         except errors.NotBranchError:
             self.dialog.error_dialog(_('Directory is not a branch'),
                                      _('You can perform this action only in a branch.'))
             return
-        except:
-            raise
         
         self.comm.refresh_right()
     

=== modified file 'olive/frontend/gtk/mkdir.py'
--- olive/frontend/gtk/mkdir.py	2006-09-04 23:33:13 +0000
+++ olive/frontend/gtk/mkdir.py	2006-09-05 01:08:34 +0000
@@ -73,11 +73,18 @@
         if checkbox.get_active():
             # Want to create a versioned directory
             try:
-                fileops.mkdir(newdir)
-            except errors.DirectoryAlreadyExists:
-                self.dialog.error_dialog(_('Directory already exists'),
-                                         _('Please specify another name to continue.'))
-                return
+                from bzrlib.workingtree import WorkingTree
+    
+                os.mkdir(newdir)
+
+                wt, dd = WorkingTree.open_containing(newdir)
+                wt.add([dd])
+            except OSError, e:
+                if e.errno == 17:
+                    self.dialog.error_dialog(_('Directory already exists'),
+                                             _('Please specify another name to continue.'))
+                else:
+                    raise
             except errors.NotBranchError:
                 self.dialog.warning_dialog(_('Directory is not in a branch'),
                                            _('You can only create a non-versioned directory.'))

=== modified file 'olive/frontend/gtk/rename.py'
--- olive/frontend/gtk/rename.py	2006-09-04 23:33:13 +0000
+++ olive/frontend/gtk/rename.py	2006-09-05 01:08:34 +0000
@@ -78,7 +78,7 @@
         
         # Rename the file
         try:
-            fileops.rename(source, destination)
+            fileops.move([source, destination])
         except errors.NotBranchError:
             self.dialog.error_dialog(_('File is not in a branch'),
                                      _('The selected file is not in a branch.'))

